Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1052707 - Trivial change for ppc64le in p11-kit spec
Summary: Trivial change for ppc64le in p11-kit spec
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: p11-kit
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Stef Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-01-13 22:06 UTC by Brent Baude
Modified: 2014-01-16 07:04 UTC (History)
4 users (show)

Fixed In Version: p11-kit-0.20.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-16 07:04:34 UTC


Attachments (Terms of Use)

Description Brent Baude 2014-01-13 22:06:53 UTC
Please consider the following patch to enable ppc64le to build p11-kit correctly:

diff --git a/p11-kit.spec b/p11-kit.spec
index a014cef..a04e97b 100644
--- a/p11-kit.spec
+++ b/p11-kit.spec
@@ -40,7 +40,7 @@ contains certificate anchors and black lists.
 
 
 # solution taken from icedtea-web.spec
-%define multilib_arches ppc64 sparc64 x86_64
+%define multilib_arches ppc64 sparc64 x86_64 ppc64le
 %ifarch %{multilib_arches}
 %define alt_ckbi  libnssckbi.so.%{_arch}
 %else

Comment 1 Fedora Update System 2014-01-14 17:44:52 UTC
p11-kit-0.20.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/p11-kit-0.20.2-1.fc20

Comment 2 Fedora Update System 2014-01-15 06:06:09 UTC
Package p11-kit-0.20.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing p11-kit-0.20.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0832/p11-kit-0.20.2-1.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-01-16 07:04:34 UTC
p11-kit-0.20.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.